import { BaseFilterEntity } from 'src/core/modules/domain/entities/base-filter.entity';

export interface FilterRefundEntity extends BaseFilterEntity {
  codes: string[];
  invoice_codes: string[];
  bank_names: string[];
  bank_account_names: string[];
  bank_account_numbers: string[];
  contact_names: string[];
  creator_names: string[];

  refund_date_from: Date;
  refund_date_to: Date;
  request_date_from: Date;
  request_date_to: Date;
  settlement_date_from: Date;
  settlement_date_to: Date;
}
